## HTTPClient
Class SimpleAuthPopup

    java.lang.Object
      HTTPClient.SimpleAuthPopup

All Implemented Interfaces:
  AuthorizationPrompter

class SimpleAuthPopup
extends Object
implements AuthorizationPrompter

Constructor Summary
`(package private)` `SimpleAuthPopup()`

Method Summary
`NVPair` `getUsernamePassword(AuthorizationInfo challenge, boolean forProxy)` the method called by DefaultAuthHandler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleAuthPopup

    SimpleAuthPopup()

Method Detail

### getUsernamePassword

    public NVPair getUsernamePassword(AuthorizationInfo challenge,
                                      boolean forProxy)

  the method called by DefaultAuthHandler.

  Specified by:
    `getUsernamePassword` in interface `AuthorizationPrompter`
  Parameters:
    `challenge` - the parsed challenge from the server; the host, port, scheme, realm and params are set to the values given by the server in the challenge.
    `forProxy` - true if the info is for a proxy (i.e. this is part of handling a 407 response); false otherwise (i.e. the response code was 401).
  Returns:
    the username/password pair